<?php
/**
 * w3layouts Theme Header Customizer
 *
 * @package w3layouts
 */

$w3layouts_Header_settings=new w3layouts_Header_customizer_settings();

class w3layouts_Header_customizer_settings {
	// Get our default values
	// private $defaults;

	public function __construct() {
		// add_action( 'customize_register', array( $this, 'w3layouts_about_cust_register' ) );
		add_action('customize_register', array($this, 'w3layouts_Header_panels'));

	}

	public function w3layouts_Header_panels($wp_customize) {
		$wp_customize->add_panel('Header_panel',
			array('title'=> __('Header Customize', 'w3layouts'),
				'priority'=> 30,
				'description'=> esc_html__('add and update Header data.', 'w3layouts')));

		$wp_customize->add_section('HeaderLogoType',
			array('title'=> __('Header Logo Settings', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'Header_panel'
			));

		$wp_customize->add_section('HeaderSocialMedia',
			array('title'=> __('Header Social Media', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'Header_panel'
			));

		$wp_customize->add_section('HeaderSearch',
			array('title'=> __('Header Search Popup', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'Header_panel'
			));

		$wp_customize->add_section('HeaderPhoneNumber',
			array('title'=> __('Header Phone Number', 'w3layouts'),
				'description'=> esc_html__('', 'w3layouts'),
				'panel'=> 'Header_panel'
			));


			
		/** Header Logo section **/
		$wp_customize->add_setting('HeaderImageLogo',
			array('default'=> 0,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HeaderImageLogo',
				array('label'=> __('Image Logo Required', 'w3layouts'),
					'section'=> 'HeaderLogoType',
					'settings'=> 'HeaderImageLogo',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HeaderImageLogo', array('selector'=> 'div.w3HeaderLogoEd', // You can also select a css class
			));

		/** Text Logo header section **/
		
		$wp_customize->add_setting('w3layoutsHeaderlogoText', array('default'=> 'Wash<span class="logo-view">ing</span>',
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'w3layoutsHeaderlogoText',
				array('label'=> __('Logo text', 'w3layouts'),
					'section'=> 'HeaderLogoType',
					'settings'=> 'w3layoutsHeaderlogoText',
					'priority'=> 1)));

			
		/** Social Media Section Header starts **/

		$wp_customize->add_setting('HeaderSocialMediaRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HeaderSocialMediaRequired',
			array('label'=> __('Header Social Icons Required', 'w3layouts'),
			'section'=> 'HeaderSocialMedia',
			'settings'=> 'HeaderSocialMediaRequired'
			)));
		$wp_customize->selective_refresh->add_partial('HeaderSocialMediaRequired', array('selector'=> 'ul.HeaderSocialIcons', // You can also select a css class
			));

		// Facebook Icon starts
		$wp_customize->add_setting('HeaderSocialFacebook',
		array('default'=> 1,
		'transport'=> 'refresh',
		'sanitize_callback'=> 'skyrocket_switch_sanitization'
		));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HeaderSocialFacebook',
		array('label'=> __('FaceBook Required', 'w3layouts'),
			'section'=> 'HeaderSocialMedia',
			'settings'=> 'HeaderSocialFacebook'

		)));

		$wp_customize->add_setting('HeaderSocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
		'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
		'HeaderSocialFacebookURL',
		array('label'=> __('FaceBook URL', 'w3layouts'),
			'section'=> 'HeaderSocialMedia',
			'settings'=> 'HeaderSocialFacebookURL'
		)));
		// Facebook Icon ends

		// twitter Icon starts
		$wp_customize->add_setting('HeaderSocialTwitter',
			array('default'=> 1,
			'transport'=> 'refresh',
			'sanitize_callback'=> 'skyrocket_switch_sanitization'
		));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HeaderSocialTwitter',
			array('label'=> __('Twitter Required', 'w3layouts'),
			'section'=> 'HeaderSocialMedia',
			'settings'=> 'HeaderSocialTwitter'
		)));

		$wp_customize->add_setting('HeaderSocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HeaderSocialTwitterURL',
			array('label'=> __('Twitter URL ', 'w3layouts'),
			'section'=> 'HeaderSocialMedia',
			'settings'=> 'HeaderSocialTwitterURL'
		)));
		// twitter Icon ends

		// instagram Icon starts
		$wp_customize->add_setting('HeaderSocialInstagram',
			array('default'=> 1,
			'transport'=> 'refresh',
			'sanitize_callback'=> 'skyrocket_switch_sanitization'
		));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HeaderSocialInstagram',
			array('label'=> __('Instagram Required', 'w3layouts'),
			'section'=> 'HeaderSocialMedia',
			'settings'=> 'HeaderSocialInstagram'
		)));

		$wp_customize->add_setting('HeaderSocialInstagramURL', array('default'=> 'https://instagram.com/W3layouts',
			'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HeaderSocialInstagramURL',
			array('label'=> __('Instagram URL ', 'w3layouts'),
			'section'=> 'HeaderSocialMedia',
			'settings'=> 'HeaderSocialInstagramURL'
		)));
		// instagram Icon ends


		/** Header Search **/
		$wp_customize->add_setting('HeaderSearchRequired',
			array('default'=> 1,
				'transport'=> 'refresh',
				'sanitize_callback'=> 'skyrocket_switch_sanitization'
			));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HeaderSearchRequired',
				array('label'=> __('Header Search Required', 'w3layouts'),
					'section'=> 'HeaderSearch',
					'settings'=> 'HeaderSearchRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HeaderSearchRequired', array('selector'=> 'div.HeaderSearch', // You can also select a css class
			));

		$wp_customize->add_setting('SearchFormUrl', array('default'=> 'https://app.hoverforms.com/Search/Submit/',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'SearchFormUrl',
			array('label'=> __('form submit URL like Mailchimp or HoverForms', 'w3layouts'),
			'section'=> 'HeaderSearch',
			'settings'=> 'SearchFormUrl'
		)));

		$wp_customize->add_setting('HeaderSearchPlaceHolder', array('default'=> 'Search...',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HeaderSearchPlaceHolder',
				array('label'=> __('Search input placeholder value', 'w3layouts'),
					'section'=> 'HeaderSearch',
					'settings'=> 'HeaderSearchPlaceHolder'
				)));


		/** Header Phone Number **/
		$wp_customize->add_setting('HeaderPhoneNumberRequired',
		array('default'=> 1,
			'transport'=> 'refresh',
			'sanitize_callback'=> 'skyrocket_switch_sanitization'
		));
		$wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'HeaderPhoneNumberRequired',
				array('label'=> __('Header Button Required', 'w3layouts'),
					'section'=> 'HeaderPhoneNumber',
					'settings'=> 'HeaderPhoneNumberRequired',
					'priority'=> 1)));
		$wp_customize->selective_refresh->add_partial('HeaderPhoneNumberRequired', array('selector'=> 'div.HeaderNumber', // You can also select a css class
			));

		$wp_customize->add_setting('HeaderPhoneNumberURL', array('default'=> 'tel:+44-123-456-78',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HeaderPhoneNumberURL',
			array('label'=> __('Phone Number URL', 'w3layouts'),
				'section'=> 'HeaderPhoneNumber',
				'settings'=> 'HeaderPhoneNumberURL'
			)));

		$wp_customize->add_setting('HeaderPhoneNumberIcon', array('default'=> 'fa fa-headphones',
			'transport'=> 'refresh',
		));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
			'HeaderPhoneNumberIcon',
			array('label'=> __('Phone Number Icon', 'w3layouts'),
				'section'=> 'HeaderPhoneNumber',
				'settings'=> 'HeaderPhoneNumberIcon'
			)));

		$wp_customize->add_setting('HeaderPhoneNumber', array('default'=> '+44-123-456-78',
				'transport'=> 'refresh', ));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'HeaderPhoneNumber',
				array('label'=> __('Phone Number', 'w3layouts'),
					'section'=> 'HeaderPhoneNumber',
					'settings'=> 'HeaderPhoneNumber'
				)));
		/** Header Phone Number **/

	}

}